package com.yoyosys.mt.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TaskItemExample {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table t_task_item
     *
     * @mbg.generated
     */
    protected String orderByClause;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table t_task_item
     *
     * @mbg.generated
     */
    protected boolean distinct;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table t_task_item
     *
     * @mbg.generated
     */
    protected List<Criteria> oredCriteria;

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table t_task_item
     *
     * @mbg.generated
     */
    public TaskItemExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table t_task_item
     *
     * @mbg.generated
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table t_task_item
     *
     * @mbg.generated
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table t_task_item
     *
     * @mbg.generated
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table t_task_item
     *
     * @mbg.generated
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table t_task_item
     *
     * @mbg.generated
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table t_task_item
     *
     * @mbg.generated
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table t_task_item
     *
     * @mbg.generated
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table t_task_item
     *
     * @mbg.generated
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table t_task_item
     *
     * @mbg.generated
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table t_task_item
     *
     * @mbg.generated
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table t_task_item
     *
     * @mbg.generated
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andNameIsNull() {
            addCriterion("name is null");
            return (Criteria) this;
        }

        public Criteria andNameIsNotNull() {
            addCriterion("name is not null");
            return (Criteria) this;
        }

        public Criteria andNameEqualTo(String value) {
            addCriterion("name =", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotEqualTo(String value) {
            addCriterion("name <>", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThan(String value) {
            addCriterion("name >", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThanOrEqualTo(String value) {
            addCriterion("name >=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThan(String value) {
            addCriterion("name <", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThanOrEqualTo(String value) {
            addCriterion("name <=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLike(String value) {
            addCriterion("name like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotLike(String value) {
            addCriterion("name not like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameIn(List<String> values) {
            addCriterion("name in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotIn(List<String> values) {
            addCriterion("name not in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameBetween(String value1, String value2) {
            addCriterion("name between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotBetween(String value1, String value2) {
            addCriterion("name not between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("status is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("status is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(String value) {
            addCriterion("status =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(String value) {
            addCriterion("status <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(String value) {
            addCriterion("status >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(String value) {
            addCriterion("status >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(String value) {
            addCriterion("status <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(String value) {
            addCriterion("status <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLike(String value) {
            addCriterion("status like", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotLike(String value) {
            addCriterion("status not like", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<String> values) {
            addCriterion("status in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<String> values) {
            addCriterion("status not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(String value1, String value2) {
            addCriterion("status between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(String value1, String value2) {
            addCriterion("status not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andFirstExecutionTimeIsNull() {
            addCriterion("first_exe_time is null");
            return (Criteria) this;
        }

        public Criteria andFirstExecutionTimeIsNotNull() {
            addCriterion("first_exe_time is not null");
            return (Criteria) this;
        }

        public Criteria andFirstExecutionTimeEqualTo(Date value) {
            addCriterion("first_exe_time =", value, "firstExecutionTime");
            return (Criteria) this;
        }

        public Criteria andFirstExecutionTimeNotEqualTo(Date value) {
            addCriterion("first_exe_time <>", value, "firstExecutionTime");
            return (Criteria) this;
        }

        public Criteria andFirstExecutionTimeGreaterThan(Date value) {
            addCriterion("first_exe_time >", value, "firstExecutionTime");
            return (Criteria) this;
        }

        public Criteria andFirstExecutionTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("first_exe_time >=", value, "firstExecutionTime");
            return (Criteria) this;
        }

        public Criteria andFirstExecutionTimeLessThan(Date value) {
            addCriterion("first_exe_time <", value, "firstExecutionTime");
            return (Criteria) this;
        }

        public Criteria andFirstExecutionTimeLessThanOrEqualTo(Date value) {
            addCriterion("first_exe_time <=", value, "firstExecutionTime");
            return (Criteria) this;
        }

        public Criteria andFirstExecutionTimeIn(List<Date> values) {
            addCriterion("first_exe_time in", values, "firstExecutionTime");
            return (Criteria) this;
        }

        public Criteria andFirstExecutionTimeNotIn(List<Date> values) {
            addCriterion("first_exe_time not in", values, "firstExecutionTime");
            return (Criteria) this;
        }

        public Criteria andFirstExecutionTimeBetween(Date value1, Date value2) {
            addCriterion("first_exe_time between", value1, value2, "firstExecutionTime");
            return (Criteria) this;
        }

        public Criteria andFirstExecutionTimeNotBetween(Date value1, Date value2) {
            addCriterion("first_exe_time not between", value1, value2, "firstExecutionTime");
            return (Criteria) this;
        }

        public Criteria andLastExecutionTimeIsNull() {
            addCriterion("last_exe_time is null");
            return (Criteria) this;
        }

        public Criteria andLastExecutionTimeIsNotNull() {
            addCriterion("last_exe_time is not null");
            return (Criteria) this;
        }

        public Criteria andLastExecutionTimeEqualTo(Date value) {
            addCriterion("last_exe_time =", value, "lastExecutionTime");
            return (Criteria) this;
        }

        public Criteria andLastExecutionTimeNotEqualTo(Date value) {
            addCriterion("last_exe_time <>", value, "lastExecutionTime");
            return (Criteria) this;
        }

        public Criteria andLastExecutionTimeGreaterThan(Date value) {
            addCriterion("last_exe_time >", value, "lastExecutionTime");
            return (Criteria) this;
        }

        public Criteria andLastExecutionTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("last_exe_time >=", value, "lastExecutionTime");
            return (Criteria) this;
        }

        public Criteria andLastExecutionTimeLessThan(Date value) {
            addCriterion("last_exe_time <", value, "lastExecutionTime");
            return (Criteria) this;
        }

        public Criteria andLastExecutionTimeLessThanOrEqualTo(Date value) {
            addCriterion("last_exe_time <=", value, "lastExecutionTime");
            return (Criteria) this;
        }

        public Criteria andLastExecutionTimeIn(List<Date> values) {
            addCriterion("last_exe_time in", values, "lastExecutionTime");
            return (Criteria) this;
        }

        public Criteria andLastExecutionTimeNotIn(List<Date> values) {
            addCriterion("last_exe_time not in", values, "lastExecutionTime");
            return (Criteria) this;
        }

        public Criteria andLastExecutionTimeBetween(Date value1, Date value2) {
            addCriterion("last_exe_time between", value1, value2, "lastExecutionTime");
            return (Criteria) this;
        }

        public Criteria andLastExecutionTimeNotBetween(Date value1, Date value2) {
            addCriterion("last_exe_time not between", value1, value2, "lastExecutionTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeIsNull() {
            addCriterion("start_time is null");
            return (Criteria) this;
        }

        public Criteria andStartTimeIsNotNull() {
            addCriterion("start_time is not null");
            return (Criteria) this;
        }

        public Criteria andStartTimeEqualTo(Date value) {
            addCriterion("start_time =", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotEqualTo(Date value) {
            addCriterion("start_time <>", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeGreaterThan(Date value) {
            addCriterion("start_time >", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("start_time >=", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeLessThan(Date value) {
            addCriterion("start_time <", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeLessThanOrEqualTo(Date value) {
            addCriterion("start_time <=", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeIn(List<Date> values) {
            addCriterion("start_time in", values, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotIn(List<Date> values) {
            addCriterion("start_time not in", values, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeBetween(Date value1, Date value2) {
            addCriterion("start_time between", value1, value2, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotBetween(Date value1, Date value2) {
            addCriterion("start_time not between", value1, value2, "startTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeIsNull() {
            addCriterion("end_time is null");
            return (Criteria) this;
        }

        public Criteria andEndTimeIsNotNull() {
            addCriterion("end_time is not null");
            return (Criteria) this;
        }

        public Criteria andEndTimeEqualTo(Date value) {
            addCriterion("end_time =", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotEqualTo(Date value) {
            addCriterion("end_time <>", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeGreaterThan(Date value) {
            addCriterion("end_time >", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("end_time >=", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeLessThan(Date value) {
            addCriterion("end_time <", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeLessThanOrEqualTo(Date value) {
            addCriterion("end_time <=", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeIn(List<Date> values) {
            addCriterion("end_time in", values, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotIn(List<Date> values) {
            addCriterion("end_time not in", values, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeBetween(Date value1, Date value2) {
            addCriterion("end_time between", value1, value2, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotBetween(Date value1, Date value2) {
            addCriterion("end_time not between", value1, value2, "endTime");
            return (Criteria) this;
        }

        public Criteria andProducerIdIsNull() {
            addCriterion("producer_id is null");
            return (Criteria) this;
        }

        public Criteria andProducerIdIsNotNull() {
            addCriterion("producer_id is not null");
            return (Criteria) this;
        }

        public Criteria andProducerIdEqualTo(String value) {
            addCriterion("producer_id =", value, "producerId");
            return (Criteria) this;
        }

        public Criteria andProducerIdNotEqualTo(String value) {
            addCriterion("producer_id <>", value, "producerId");
            return (Criteria) this;
        }

        public Criteria andProducerIdGreaterThan(String value) {
            addCriterion("producer_id >", value, "producerId");
            return (Criteria) this;
        }

        public Criteria andProducerIdGreaterThanOrEqualTo(String value) {
            addCriterion("producer_id >=", value, "producerId");
            return (Criteria) this;
        }

        public Criteria andProducerIdLessThan(String value) {
            addCriterion("producer_id <", value, "producerId");
            return (Criteria) this;
        }

        public Criteria andProducerIdLessThanOrEqualTo(String value) {
            addCriterion("producer_id <=", value, "producerId");
            return (Criteria) this;
        }

        public Criteria andProducerIdLike(String value) {
            addCriterion("producer_id like", value, "producerId");
            return (Criteria) this;
        }

        public Criteria andProducerIdNotLike(String value) {
            addCriterion("producer_id not like", value, "producerId");
            return (Criteria) this;
        }

        public Criteria andProducerIdIn(List<String> values) {
            addCriterion("producer_id in", values, "producerId");
            return (Criteria) this;
        }

        public Criteria andProducerIdNotIn(List<String> values) {
            addCriterion("producer_id not in", values, "producerId");
            return (Criteria) this;
        }

        public Criteria andProducerIdBetween(String value1, String value2) {
            addCriterion("producer_id between", value1, value2, "producerId");
            return (Criteria) this;
        }

        public Criteria andProducerIdNotBetween(String value1, String value2) {
            addCriterion("producer_id not between", value1, value2, "producerId");
            return (Criteria) this;
        }

        public Criteria andProducerTypeIsNull() {
            addCriterion("producer_type is null");
            return (Criteria) this;
        }

        public Criteria andProducerTypeIsNotNull() {
            addCriterion("producer_type is not null");
            return (Criteria) this;
        }

        public Criteria andProducerTypeEqualTo(String value) {
            addCriterion("producer_type =", value, "producerType");
            return (Criteria) this;
        }

        public Criteria andProducerTypeNotEqualTo(String value) {
            addCriterion("producer_type <>", value, "producerType");
            return (Criteria) this;
        }

        public Criteria andProducerTypeGreaterThan(String value) {
            addCriterion("producer_type >", value, "producerType");
            return (Criteria) this;
        }

        public Criteria andProducerTypeGreaterThanOrEqualTo(String value) {
            addCriterion("producer_type >=", value, "producerType");
            return (Criteria) this;
        }

        public Criteria andProducerTypeLessThan(String value) {
            addCriterion("producer_type <", value, "producerType");
            return (Criteria) this;
        }

        public Criteria andProducerTypeLessThanOrEqualTo(String value) {
            addCriterion("producer_type <=", value, "producerType");
            return (Criteria) this;
        }

        public Criteria andProducerTypeLike(String value) {
            addCriterion("producer_type like", value, "producerType");
            return (Criteria) this;
        }

        public Criteria andProducerTypeNotLike(String value) {
            addCriterion("producer_type not like", value, "producerType");
            return (Criteria) this;
        }

        public Criteria andProducerTypeIn(List<String> values) {
            addCriterion("producer_type in", values, "producerType");
            return (Criteria) this;
        }

        public Criteria andProducerTypeNotIn(List<String> values) {
            addCriterion("producer_type not in", values, "producerType");
            return (Criteria) this;
        }

        public Criteria andProducerTypeBetween(String value1, String value2) {
            addCriterion("producer_type between", value1, value2, "producerType");
            return (Criteria) this;
        }

        public Criteria andProducerTypeNotBetween(String value1, String value2) {
            addCriterion("producer_type not between", value1, value2, "producerType");
            return (Criteria) this;
        }

        public Criteria andProducerCountIsNull() {
            addCriterion("producer_count is null");
            return (Criteria) this;
        }

        public Criteria andProducerCountIsNotNull() {
            addCriterion("producer_count is not null");
            return (Criteria) this;
        }

        public Criteria andProducerCountEqualTo(Integer value) {
            addCriterion("producer_count =", value, "producerCount");
            return (Criteria) this;
        }

        public Criteria andProducerCountNotEqualTo(Integer value) {
            addCriterion("producer_count <>", value, "producerCount");
            return (Criteria) this;
        }

        public Criteria andProducerCountGreaterThan(Integer value) {
            addCriterion("producer_count >", value, "producerCount");
            return (Criteria) this;
        }

        public Criteria andProducerCountGreaterThanOrEqualTo(Integer value) {
            addCriterion("producer_count >=", value, "producerCount");
            return (Criteria) this;
        }

        public Criteria andProducerCountLessThan(Integer value) {
            addCriterion("producer_count <", value, "producerCount");
            return (Criteria) this;
        }

        public Criteria andProducerCountLessThanOrEqualTo(Integer value) {
            addCriterion("producer_count <=", value, "producerCount");
            return (Criteria) this;
        }

        public Criteria andProducerCountIn(List<Integer> values) {
            addCriterion("producer_count in", values, "producerCount");
            return (Criteria) this;
        }

        public Criteria andProducerCountNotIn(List<Integer> values) {
            addCriterion("producer_count not in", values, "producerCount");
            return (Criteria) this;
        }

        public Criteria andProducerCountBetween(Integer value1, Integer value2) {
            addCriterion("producer_count between", value1, value2, "producerCount");
            return (Criteria) this;
        }

        public Criteria andProducerCountNotBetween(Integer value1, Integer value2) {
            addCriterion("producer_count not between", value1, value2, "producerCount");
            return (Criteria) this;
        }

        public Criteria andConsumerIdIsNull() {
            addCriterion("consumer_id is null");
            return (Criteria) this;
        }

        public Criteria andConsumerIdIsNotNull() {
            addCriterion("consumer_id is not null");
            return (Criteria) this;
        }

        public Criteria andConsumerIdEqualTo(String value) {
            addCriterion("consumer_id =", value, "consumerId");
            return (Criteria) this;
        }

        public Criteria andConsumerIdNotEqualTo(String value) {
            addCriterion("consumer_id <>", value, "consumerId");
            return (Criteria) this;
        }

        public Criteria andConsumerIdGreaterThan(String value) {
            addCriterion("consumer_id >", value, "consumerId");
            return (Criteria) this;
        }

        public Criteria andConsumerIdGreaterThanOrEqualTo(String value) {
            addCriterion("consumer_id >=", value, "consumerId");
            return (Criteria) this;
        }

        public Criteria andConsumerIdLessThan(String value) {
            addCriterion("consumer_id <", value, "consumerId");
            return (Criteria) this;
        }

        public Criteria andConsumerIdLessThanOrEqualTo(String value) {
            addCriterion("consumer_id <=", value, "consumerId");
            return (Criteria) this;
        }

        public Criteria andConsumerIdLike(String value) {
            addCriterion("consumer_id like", value, "consumerId");
            return (Criteria) this;
        }

        public Criteria andConsumerIdNotLike(String value) {
            addCriterion("consumer_id not like", value, "consumerId");
            return (Criteria) this;
        }

        public Criteria andConsumerIdIn(List<String> values) {
            addCriterion("consumer_id in", values, "consumerId");
            return (Criteria) this;
        }

        public Criteria andConsumerIdNotIn(List<String> values) {
            addCriterion("consumer_id not in", values, "consumerId");
            return (Criteria) this;
        }

        public Criteria andConsumerIdBetween(String value1, String value2) {
            addCriterion("consumer_id between", value1, value2, "consumerId");
            return (Criteria) this;
        }

        public Criteria andConsumerIdNotBetween(String value1, String value2) {
            addCriterion("consumer_id not between", value1, value2, "consumerId");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeIsNull() {
            addCriterion("consumer_type is null");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeIsNotNull() {
            addCriterion("consumer_type is not null");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeEqualTo(String value) {
            addCriterion("consumer_type =", value, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeNotEqualTo(String value) {
            addCriterion("consumer_type <>", value, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeGreaterThan(String value) {
            addCriterion("consumer_type >", value, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeGreaterThanOrEqualTo(String value) {
            addCriterion("consumer_type >=", value, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeLessThan(String value) {
            addCriterion("consumer_type <", value, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeLessThanOrEqualTo(String value) {
            addCriterion("consumer_type <=", value, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeLike(String value) {
            addCriterion("consumer_type like", value, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeNotLike(String value) {
            addCriterion("consumer_type not like", value, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeIn(List<String> values) {
            addCriterion("consumer_type in", values, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeNotIn(List<String> values) {
            addCriterion("consumer_type not in", values, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeBetween(String value1, String value2) {
            addCriterion("consumer_type between", value1, value2, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerTypeNotBetween(String value1, String value2) {
            addCriterion("consumer_type not between", value1, value2, "consumerType");
            return (Criteria) this;
        }

        public Criteria andConsumerCountIsNull() {
            addCriterion("consumer_count is null");
            return (Criteria) this;
        }

        public Criteria andConsumerCountIsNotNull() {
            addCriterion("consumer_count is not null");
            return (Criteria) this;
        }

        public Criteria andConsumerCountEqualTo(Integer value) {
            addCriterion("consumer_count =", value, "consumerCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCountNotEqualTo(Integer value) {
            addCriterion("consumer_count <>", value, "consumerCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCountGreaterThan(Integer value) {
            addCriterion("consumer_count >", value, "consumerCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCountGreaterThanOrEqualTo(Integer value) {
            addCriterion("consumer_count >=", value, "consumerCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCountLessThan(Integer value) {
            addCriterion("consumer_count <", value, "consumerCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCountLessThanOrEqualTo(Integer value) {
            addCriterion("consumer_count <=", value, "consumerCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCountIn(List<Integer> values) {
            addCriterion("consumer_count in", values, "consumerCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCountNotIn(List<Integer> values) {
            addCriterion("consumer_count not in", values, "consumerCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCountBetween(Integer value1, Integer value2) {
            addCriterion("consumer_count between", value1, value2, "consumerCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCountNotBetween(Integer value1, Integer value2) {
            addCriterion("consumer_count not between", value1, value2, "consumerCount");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andProducerDbSqlIsNull() {
            addCriterion("producer_db_sql is null");
            return (Criteria) this;
        }

        public Criteria andProducerDbSqlIsNotNull() {
            addCriterion("producer_db_sql is not null");
            return (Criteria) this;
        }

        public Criteria andProducerDbSqlEqualTo(String value) {
            addCriterion("producer_db_sql =", value, "producerDbSql");
            return (Criteria) this;
        }

        public Criteria andProducerDbSqlNotEqualTo(String value) {
            addCriterion("producer_db_sql <>", value, "producerDbSql");
            return (Criteria) this;
        }

        public Criteria andProducerDbSqlGreaterThan(String value) {
            addCriterion("producer_db_sql >", value, "producerDbSql");
            return (Criteria) this;
        }

        public Criteria andProducerDbSqlGreaterThanOrEqualTo(String value) {
            addCriterion("producer_db_sql >=", value, "producerDbSql");
            return (Criteria) this;
        }

        public Criteria andProducerDbSqlLessThan(String value) {
            addCriterion("producer_db_sql <", value, "producerDbSql");
            return (Criteria) this;
        }

        public Criteria andProducerDbSqlLessThanOrEqualTo(String value) {
            addCriterion("producer_db_sql <=", value, "producerDbSql");
            return (Criteria) this;
        }

        public Criteria andProducerDbSqlLike(String value) {
            addCriterion("producer_db_sql like", value, "producerDbSql");
            return (Criteria) this;
        }

        public Criteria andProducerDbSqlNotLike(String value) {
            addCriterion("producer_db_sql not like", value, "producerDbSql");
            return (Criteria) this;
        }

        public Criteria andProducerDbSqlIn(List<String> values) {
            addCriterion("producer_db_sql in", values, "producerDbSql");
            return (Criteria) this;
        }

        public Criteria andProducerDbSqlNotIn(List<String> values) {
            addCriterion("producer_db_sql not in", values, "producerDbSql");
            return (Criteria) this;
        }

        public Criteria andProducerDbSqlBetween(String value1, String value2) {
            addCriterion("producer_db_sql between", value1, value2, "producerDbSql");
            return (Criteria) this;
        }

        public Criteria andProducerDbSqlNotBetween(String value1, String value2) {
            addCriterion("producer_db_sql not between", value1, value2, "producerDbSql");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIndexNameIsNull() {
            addCriterion("consumer_es_index_name is null");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIndexNameIsNotNull() {
            addCriterion("consumer_es_index_name is not null");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIndexNameEqualTo(String value) {
            addCriterion("consumer_es_index_name =", value, "consumerEsIndexName");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIndexNameNotEqualTo(String value) {
            addCriterion("consumer_es_index_name <>", value, "consumerEsIndexName");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIndexNameGreaterThan(String value) {
            addCriterion("consumer_es_index_name >", value, "consumerEsIndexName");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIndexNameGreaterThanOrEqualTo(String value) {
            addCriterion("consumer_es_index_name >=", value, "consumerEsIndexName");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIndexNameLessThan(String value) {
            addCriterion("consumer_es_index_name <", value, "consumerEsIndexName");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIndexNameLessThanOrEqualTo(String value) {
            addCriterion("consumer_es_index_name <=", value, "consumerEsIndexName");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIndexNameLike(String value) {
            addCriterion("consumer_es_index_name like", value, "consumerEsIndexName");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIndexNameNotLike(String value) {
            addCriterion("consumer_es_index_name not like", value, "consumerEsIndexName");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIndexNameIn(List<String> values) {
            addCriterion("consumer_es_index_name in", values, "consumerEsIndexName");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIndexNameNotIn(List<String> values) {
            addCriterion("consumer_es_index_name not in", values, "consumerEsIndexName");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIndexNameBetween(String value1, String value2) {
            addCriterion("consumer_es_index_name between", value1, value2, "consumerEsIndexName");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIndexNameNotBetween(String value1, String value2) {
            addCriterion("consumer_es_index_name not between", value1, value2, "consumerEsIndexName");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIdKeyIsNull() {
            addCriterion("consumer_es_id_key is null");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIdKeyIsNotNull() {
            addCriterion("consumer_es_id_key is not null");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIdKeyEqualTo(String value) {
            addCriterion("consumer_es_id_key =", value, "consumerEsIdKey");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIdKeyNotEqualTo(String value) {
            addCriterion("consumer_es_id_key <>", value, "consumerEsIdKey");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIdKeyGreaterThan(String value) {
            addCriterion("consumer_es_id_key >", value, "consumerEsIdKey");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIdKeyGreaterThanOrEqualTo(String value) {
            addCriterion("consumer_es_id_key >=", value, "consumerEsIdKey");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIdKeyLessThan(String value) {
            addCriterion("consumer_es_id_key <", value, "consumerEsIdKey");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIdKeyLessThanOrEqualTo(String value) {
            addCriterion("consumer_es_id_key <=", value, "consumerEsIdKey");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIdKeyLike(String value) {
            addCriterion("consumer_es_id_key like", value, "consumerEsIdKey");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIdKeyNotLike(String value) {
            addCriterion("consumer_es_id_key not like", value, "consumerEsIdKey");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIdKeyIn(List<String> values) {
            addCriterion("consumer_es_id_key in", values, "consumerEsIdKey");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIdKeyNotIn(List<String> values) {
            addCriterion("consumer_es_id_key not in", values, "consumerEsIdKey");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIdKeyBetween(String value1, String value2) {
            addCriterion("consumer_es_id_key between", value1, value2, "consumerEsIdKey");
            return (Criteria) this;
        }

        public Criteria andConsumerEsIdKeyNotBetween(String value1, String value2) {
            addCriterion("consumer_es_id_key not between", value1, value2, "consumerEsIdKey");
            return (Criteria) this;
        }

        public Criteria andProducerCompletedCountIsNull() {
            addCriterion("producer_completed_count is null");
            return (Criteria) this;
        }

        public Criteria andProducerCompletedCountIsNotNull() {
            addCriterion("producer_completed_count is not null");
            return (Criteria) this;
        }

        public Criteria andProducerCompletedCountEqualTo(Integer value) {
            addCriterion("producer_completed_count =", value, "producerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andProducerCompletedCountNotEqualTo(Integer value) {
            addCriterion("producer_completed_count <>", value, "producerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andProducerCompletedCountGreaterThan(Integer value) {
            addCriterion("producer_completed_count >", value, "producerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andProducerCompletedCountGreaterThanOrEqualTo(Integer value) {
            addCriterion("producer_completed_count >=", value, "producerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andProducerCompletedCountLessThan(Integer value) {
            addCriterion("producer_completed_count <", value, "producerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andProducerCompletedCountLessThanOrEqualTo(Integer value) {
            addCriterion("producer_completed_count <=", value, "producerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andProducerCompletedCountIn(List<Integer> values) {
            addCriterion("producer_completed_count in", values, "producerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andProducerCompletedCountNotIn(List<Integer> values) {
            addCriterion("producer_completed_count not in", values, "producerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andProducerCompletedCountBetween(Integer value1, Integer value2) {
            addCriterion("producer_completed_count between", value1, value2, "producerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andProducerCompletedCountNotBetween(Integer value1, Integer value2) {
            addCriterion("producer_completed_count not between", value1, value2, "producerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCompletedCountIsNull() {
            addCriterion("consumer_completed_count is null");
            return (Criteria) this;
        }

        public Criteria andConsumerCompletedCountIsNotNull() {
            addCriterion("consumer_completed_count is not null");
            return (Criteria) this;
        }

        public Criteria andConsumerCompletedCountEqualTo(Integer value) {
            addCriterion("consumer_completed_count =", value, "consumerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCompletedCountNotEqualTo(Integer value) {
            addCriterion("consumer_completed_count <>", value, "consumerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCompletedCountGreaterThan(Integer value) {
            addCriterion("consumer_completed_count >", value, "consumerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCompletedCountGreaterThanOrEqualTo(Integer value) {
            addCriterion("consumer_completed_count >=", value, "consumerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCompletedCountLessThan(Integer value) {
            addCriterion("consumer_completed_count <", value, "consumerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCompletedCountLessThanOrEqualTo(Integer value) {
            addCriterion("consumer_completed_count <=", value, "consumerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCompletedCountIn(List<Integer> values) {
            addCriterion("consumer_completed_count in", values, "consumerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCompletedCountNotIn(List<Integer> values) {
            addCriterion("consumer_completed_count not in", values, "consumerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCompletedCountBetween(Integer value1, Integer value2) {
            addCriterion("consumer_completed_count between", value1, value2, "consumerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andConsumerCompletedCountNotBetween(Integer value1, Integer value2) {
            addCriterion("consumer_completed_count not between", value1, value2, "consumerCompletedCount");
            return (Criteria) this;
        }

        public Criteria andProducerStatusIsNull() {
            addCriterion("producer_status is null");
            return (Criteria) this;
        }

        public Criteria andProducerStatusIsNotNull() {
            addCriterion("producer_status is not null");
            return (Criteria) this;
        }

        public Criteria andProducerStatusEqualTo(Integer value) {
            addCriterion("producer_status =", value, "producerStatus");
            return (Criteria) this;
        }

        public Criteria andProducerStatusNotEqualTo(Integer value) {
            addCriterion("producer_status <>", value, "producerStatus");
            return (Criteria) this;
        }

        public Criteria andProducerStatusGreaterThan(Integer value) {
            addCriterion("producer_status >", value, "producerStatus");
            return (Criteria) this;
        }

        public Criteria andProducerStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("producer_status >=", value, "producerStatus");
            return (Criteria) this;
        }

        public Criteria andProducerStatusLessThan(Integer value) {
            addCriterion("producer_status <", value, "producerStatus");
            return (Criteria) this;
        }

        public Criteria andProducerStatusLessThanOrEqualTo(Integer value) {
            addCriterion("producer_status <=", value, "producerStatus");
            return (Criteria) this;
        }

        public Criteria andProducerStatusIn(List<Integer> values) {
            addCriterion("producer_status in", values, "producerStatus");
            return (Criteria) this;
        }

        public Criteria andProducerStatusNotIn(List<Integer> values) {
            addCriterion("producer_status not in", values, "producerStatus");
            return (Criteria) this;
        }

        public Criteria andProducerStatusBetween(Integer value1, Integer value2) {
            addCriterion("producer_status between", value1, value2, "producerStatus");
            return (Criteria) this;
        }

        public Criteria andProducerStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("producer_status not between", value1, value2, "producerStatus");
            return (Criteria) this;
        }

        public Criteria andConsumerStatusIsNull() {
            addCriterion("consumer_status is null");
            return (Criteria) this;
        }

        public Criteria andConsumerStatusIsNotNull() {
            addCriterion("consumer_status is not null");
            return (Criteria) this;
        }

        public Criteria andConsumerStatusEqualTo(Integer value) {
            addCriterion("consumer_status =", value, "consumerStatus");
            return (Criteria) this;
        }

        public Criteria andConsumerStatusNotEqualTo(Integer value) {
            addCriterion("consumer_status <>", value, "consumerStatus");
            return (Criteria) this;
        }

        public Criteria andConsumerStatusGreaterThan(Integer value) {
            addCriterion("consumer_status >", value, "consumerStatus");
            return (Criteria) this;
        }

        public Criteria andConsumerStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("consumer_status >=", value, "consumerStatus");
            return (Criteria) this;
        }

        public Criteria andConsumerStatusLessThan(Integer value) {
            addCriterion("consumer_status <", value, "consumerStatus");
            return (Criteria) this;
        }

        public Criteria andConsumerStatusLessThanOrEqualTo(Integer value) {
            addCriterion("consumer_status <=", value, "consumerStatus");
            return (Criteria) this;
        }

        public Criteria andConsumerStatusIn(List<Integer> values) {
            addCriterion("consumer_status in", values, "consumerStatus");
            return (Criteria) this;
        }

        public Criteria andConsumerStatusNotIn(List<Integer> values) {
            addCriterion("consumer_status not in", values, "consumerStatus");
            return (Criteria) this;
        }

        public Criteria andConsumerStatusBetween(Integer value1, Integer value2) {
            addCriterion("consumer_status between", value1, value2, "consumerStatus");
            return (Criteria) this;
        }

        public Criteria andConsumerStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("consumer_status not between", value1, value2, "consumerStatus");
            return (Criteria) this;
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table t_task_item
     *
     * @mbg.generated do_not_delete_during_merge
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table t_task_item
     *
     * @mbg.generated
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}